Last Comment Bug 775543 - Passing a Worker object to console.log() results in a crash
: Passing a Worker object to console.log() results in a crash
Status: RESOLVED FIXED
qa-
: crash, regression, reproducible
Product: Core
Classification: Components
Component: DOM: Workers (show other bugs)
: 14 Branch
: All All
: -- critical (vote)
: mozilla17
Assigned To: Peter Van der Beken [:peterv]
:
:
Mentors:
: 785038 (view as bug list)
Depends on:
Blocks: 740069
  Show dependency treegraph
 
Reported: 2012-07-19 07:48 PDT by bob
Modified: 2012-08-30 06:54 PDT (History)
11 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
wontfix
+
fixed
+
fixed


Attachments
gdb backtrace (39.26 KB, text/plain)
2012-07-20 04:52 PDT, bob
no flags Details
v1 (6.56 KB, patch)
2012-08-22 17:00 PDT, Peter Van der Beken [:peterv]
bzbarsky: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description bob 2012-07-19 07:48:14 PDT
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Build ID: 20120718142900

Steps to reproduce:

Open the console, type this in:
var ww=Worker('sdf');
console.log(ww);


Actual results:

My browser crashes every time.


Expected results:

Output in the console log.
Comment 1 Scoobidiver (away) 2012-07-19 09:32:44 PDT
Can you provide the crash ID from about:crashes?
Does it happen in Safe Mode (see http://support.mozilla.org/kb/troubleshoot-firefox-issues-using-safe-mode)?
Comment 2 bob 2012-07-19 10:29:31 PDT
(In reply to Scoobidiver from comment #1)
> Can you provide the crash ID from about:crashes?
> Does it happen in Safe Mode (see
> http://support.mozilla.org/kb/troubleshoot-firefox-issues-using-safe-mode)?

It happens when I run the javascript from the Firebug console. Then after restart it also happens in the Web developer console.
But when I tried just now after a normal restart, the browser didn't crash (or close unexpectedly).

There is nothing in about:crashes.
I checked my preferences, I have turned on the setting about submitting bug reports.
Comment 3 bob 2012-07-19 11:07:05 PDT
(In reply to Scoobidiver from comment #1)
> Can you provide the crash ID from about:crashes?
> Does it happen in Safe Mode (see
> http://support.mozilla.org/kb/troubleshoot-firefox-issues-using-safe-mode)?

And it also happens in safe-mode.
Comment 4 Scoobidiver (away) 2012-07-19 11:43:10 PDT
Can you attach a stack trace (see https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report#Linux)?
Comment 5 bob 2012-07-20 04:49:47 PDT
GNU gdb (Gentoo 7.3.1 p2) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/firefox...done.
(gdb) run
Starting program: /usr/bin/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffda22b700 (LWP 2662)]
[New Thread 0x7fffd9826700 (LWP 2663)]
[New Thread 0x7fffd8975700 (LWP 2664)]
[New Thread 0x7fffd7dff700 (LWP 2665)]
[New Thread 0x7fffd6dca700 (LWP 2666)]
[New Thread 0x7fffd61fc700 (LWP 2667)]
[New Thread 0x7fffd53ff700 (LWP 2668)]
[New Thread 0x7fffd41ff700 (LWP 2669)]
[New Thread 0x7fffd35ff700 (LWP 2670)]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/loader/mozJSComponentLoader.cpp, line 885
++DOCSHELL 0x7fffd234dc00 == 1 [id = 1]
++DOCSHELL 0x7fffcbd11c00 == 2 [id = 2]
++DOMWINDOW == 1 (0x7fffcbd12c78) [serial = 1] [outer = (nil)]
++DOMWINDOW == 2 (0x7fffd23ca878) [serial = 2] [outer = 0x7fffcbd12c00]
[New Thread 0x7fffc8aff700 (LWP 2671)]
++DOMWINDOW == 3 (0x7fffc977f078) [serial = 3] [outer = (nil)]
++DOMWINDOW == 4 (0x7fffc9780078) [serial = 4] [outer = 0x7fffc977f000]
WARNING: Unable to test style tree integrity -- no content node: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/layout/base/nsCSSFrameConstructor.cpp, line 8006
JavaScript strict warning: chrome://browser/content/browser.js, line 98: anonymous function does not always return a value
JavaScript strict warning: chrome://browser/content/browser.js, line 4685: function GS_handleEvent does not always return a value
JavaScript strict warning: chrome://browser/content/browser.js, line 4657: function GS_handleEvent does not always return a value
JavaScript strict warning: chrome://browser/content/browser.js, line 4832: anonymous function does not always return a value
JavaScript strict warning: chrome://browser/content/browser.js, line 12431: anonymous function does not always return a value
++DOCSHELL 0x7fffc5490800 == 3 [id = 3]
++DOMWINDOW == 5 (0x7fffc5492c78) [serial = 5] [outer = (nil)]
++DOCSHELL 0x7fffc5877400 == 4 [id = 4]
++DOMWINDOW == 6 (0x7fffc5878078) [serial = 6] [outer = (nil)]
JavaScript warning: chrome://operator/content/operator.js, line 404: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 404: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 404: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 499: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 499: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 499: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 1680: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 1680: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://operator/content/operator.js, line 1680: octal literals and octal escape sequences are deprecated
JS Component Loader: WARNING chrome://operator/content/eRDF/eRDF.js:158
                     anonymous function does not always return a value
JavaScript strict warning: chrome://operator/content/eRDF/eRDF.js, line 19: assignment to undeclared variable eRDF
JS Component Loader: WARNING chrome://operator/content/SemanticActions/export.js:293
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://operator/content/SemanticActions/export.js:661
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://operator/content/SemanticActions/export.js:709
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://operator/content/SemanticActions/export.js:714
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://operator/content/SemanticActions/google.js:11
                     property name hCard appears more than once in object literal
JS Component Loader: WARNING chrome://operator/content/SemanticActions/google.js:12
                     property name hCard appears more than once in object literal
JS Component Loader: WARNING chrome://operator/content/SemanticActions/mapquest.js:11
                     property name hCard appears more than once in object literal
JS Component Loader: WARNING chrome://operator/content/SemanticActions/yahoo.js:10
                     property name hCard appears more than once in object literal
JavaScript strict warning: chrome://operator/content/operator.js, line 523: reference to undefined property Operator.actions[disabledActions[i]]
JavaScript strict warning: chrome://operator/content/operator.js, line 606: assignment to undeclared variable action
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/content/base/src/nsFrameLoader.cpp, line 419
++DOCSHELL 0x7fffc459a400 == 5 [id = 5]
++DOMWINDOW == 7 (0x7fffc459b078) [serial = 7] [outer = (nil)]
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript strict warning: chrome://ghostery/content/ghostery.js, line 1098: anonymous function does not always return a value
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript strict warning: chrome://ghostery/content/ghostery-common.js, line 490: anonymous function does not always return a value
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 934: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 934: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 934: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 936: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 936: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 936: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 958: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 958: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-common.js, line 958: octal literals and octal escape sequences are deprecated
JavaScript strict warning: chrome://ghostery/content/ghostery-common.js, line 1019: anonymous function does not always return a value
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 35: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 35: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 35: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 35: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 58: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 58: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 58: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 58: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 88: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 88: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 88: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 88: octal literals and octal escape sequences are deprecated
JavaScript strict warning: chrome://ghostery/content/ghostery-db.js, line 331: anonymous function does not always return a value
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 369: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 369: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 369: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 369: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 405: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 405: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 405: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 405: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 507: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 507: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 507: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-db.js, line 507: octal literals and octal escape sequences are deprecated
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript strict warning: chrome://ghostery/content/ghostery-lso.js, line 105: anonymous function does not always return a value
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript warning: chrome://ghostery/content/ghostery-silverlight.js, line 44: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-silverlight.js, line 44: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://ghostery/content/ghostery-silverlight.js, line 44: octal literals and octal escape sequences are deprecated
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript error: chrome://global/content/bindings/browser.xml, line 360: this.docShell is null
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 241: property name settings.autoupdate.noupdate appears more than once in object literal
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 389: property name settings.autoupdate.noupdate appears more than once in object literal
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 537: property name settings.autoupdate.noupdate appears more than once in object literal
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 685: property name settings.autoupdate.noupdate appears more than once in object literal
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 834: property name settings.autoupdate.noupdate appears more than once in object literal
JavaScript warning: chrome://ghostery/content/ghostery-translator.js, line 923: property name settings.careful appears more than once in object literal
++DOMWINDOW == 8 (0x7fffc38ddc78) [serial = 8] [outer = 0x7fffc459b000]
JavaScript strict warning: resource:///components/nsSearchService.js, line 2790: reference to undefined property json._dataType
WARNING: Subdocument container has no frame: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/layout/base/nsDocumentViewer.cpp, line 2426
++DOMWINDOW == 9 (0x7fffc32dcc78) [serial = 9] [outer = 0x7fffc5492c00]
WARNING: Subdocument container has no frame: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/layout/base/nsDocumentViewer.cpp, line 2426
++DOMWINDOW == 10 (0x7fffc32dd878) [serial = 10] [outer = 0x7fffc5878000]
++DOMWINDOW == 11 (0x7fffc3051878) [serial = 11] [outer = 0x7fffc459b000]
JS Component Loader: WARNING chrome://firebug/content/firefox/browserOverlay.js:199
                     function $toolbarButton does not always return a value
JS Component Loader: WARNING chrome://firebug/content/firefox/browserOverlay.js:224
                     function getPersist does not always return a value
JS Component Loader: WARNING chrome://firebug/content/firefox/browserOverlay.js:296
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://firebug/content/firefox/browserOverlay.js:291
                     anonymous function does not always return a value
JS Component Loader: WARNING chrome://firebug/content/firefox/browserOverlay.js:1109
                     property name onpopupshowing appears more than once in object literal
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/netwerk/base/src/nsIOService.cpp, line 675
WARNING: NS_ENSURE_SUCCESS(rv, ((nsresult) 0x80070057L)) failed with result 0x80040111: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/loader/mozJSComponentLoader.cpp, line 1111
JavaScript strict warning: chrome://operator/content/operator.js, line 697: assignment to undeclared variable firstrun
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/dom/src/json/nsJSON.cpp, line 524
[New Thread 0x7fffc18ff700 (LWP 2672)]
[New Thread 0x7fffc16fe700 (LWP 2673)]
[New Thread 0x7fffc03ff700 (LWP 2675)]
[New Thread 0x7fffbfbfe700 (LWP 2676)]
JavaScript strict warning: resource:///components/nsSessionStore.js, line 382: reference to undefined property this._initialState.windows[0].sizemode
JavaScript strict warning: resource:///components/nsSessionStore.js, line 3958: reference to undefined property tab.pinned
JavaScript strict warning: resource:///components/nsSessionStore.js, line 2896: reference to undefined property winData.selected
JavaScript strict warning: resource:///components/nsSessionStore.js, line 3027: reference to undefined property tabData.attributes
JavaScript strict warning: resource:///components/nsSessionStore.js, line 3149: reference to undefined property tabData.attributes
WARNING: NS_ENSURE_TRUE(mMutable) failed: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/netwerk/base/src/nsSimpleURI.cpp, line 293
JavaScript strict warning: chrome://operator/content/eRDF/eRDF.js, line 41: assignment to undeclared variable profile
JavaScript strict warning: chrome://operator/content/eRDF/eRDF.js, line 46: assignment to undeclared variable links
[New Thread 0x7fffbd39a700 (LWP 2677)]
++DOMWINDOW == 12 (0x7fffbe430878) [serial = 12] [outer = 0x7fffc459b000]
[New Thread 0x7fffbb9ff700 (LWP 2678)]
JavaScript strict warning: chrome://global/content/bindings/tree.xml, line 0: reference to undefined property this.treeBoxObject.view
[New Thread 0x7fffbc3ff700 (LWP 2679)]
[New Thread 0x7fffba9ff700 (LWP 2680)]
[New Thread 0x7fffba1fe700 (LWP 2681)]
[New Thread 0x7fffb99fd700 (LWP 2682)]
[New Thread 0x7fffb91fc700 (LWP 2683)]
[Thread 0x7fffba1fe700 (LWP 2681) exited]
[Thread 0x7fffba9ff700 (LWP 2680) exited]
JavaScript strict warning: chrome://browser/content/tabbrowser.xml, line 1219: reference to undefined property params.referrerURI
++DOCSHELL 0x7fffbecc1400 == 6 [id = 6]
++DOMWINDOW == 13 (0x7fffbecc2078) [serial = 13] [outer = (nil)]
++DOMWINDOW == 14 (0x7fffbecc4c78) [serial = 14] [outer = 0x7fffbecc2000]
++DOCSHELL 0x7fffbee2e400 == 7 [id = 7]
++DOMWINDOW == 15 (0x7fffbee2f078) [serial = 15] [outer = (nil)]
++DOMWINDOW == 16 (0x7fffbee31078) [serial = 16] [outer = 0x7fffbee2f000]
++DOCSHELL 0x7fffbee33800 == 8 [id = 8]
++DOMWINDOW == 17 (0x7fffbee57878) [serial = 17] [outer = (nil)]
++DOMWINDOW == 18 (0x7fffbee59c78) [serial = 18] [outer = 0x7fffbee57800]
WARNING: NS_ENSURE_TRUE(mMutable) failed: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/netwerk/base/src/nsSimpleURI.cpp, line 293
[New Thread 0x7fffba1fe700 (LWP 2684)]
[New Thread 0x7fffba9ff700 (LWP 2685)]
[New Thread 0x7fffb5aff700 (LWP 2686)]
[New Thread 0x7fffb52fe700 (LWP 2687)]
[New Thread 0x7fffb4afd700 (LWP 2688)]
[New Thread 0x7fffb42fc700 (LWP 2689)]
++DOMWINDOW == 19 (0x7fffc3056c78) [serial = 19] [outer = 0x7fffbee2f000]
[New Thread 0x7fffb3afb700 (LWP 2690)]
[New Thread 0x7fffb32fa700 (LWP 2691)]
--DOMWINDOW == 18 (0x7fffc38ddc78) [serial = 8] [outer = 0x7fffc459b000] [url = about:blank]
--DOMWINDOW == 17 (0x7fffc3051878) [serial = 11] [outer = 0x7fffc459b000] [url = about:blank]
++DOCSHELL 0x7fffbee8f000 == 9 [id = 9]
++DOMWINDOW == 18 (0x7fffbf05d878) [serial = 20] [outer = (nil)]
WARNING: Subdocument container has no frame: file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/layout/base/nsDocumentViewer.cpp, line 2426
++DOMWINDOW == 19 (0x7fffc0646078) [serial = 21] [outer = 0x7fffbf05d800]
++DOMWINDOW == 20 (0x7fffb6807c78) [serial = 22] [outer = 0x7fffbf05d800]
WARNING: Unable to locate an XBL binding: 'protoBinding', file /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/content/xbl/src/nsXBLService.cpp, line 839
JavaScript strict warning: resource:///modules/HUDService.jsm, line 5305: reference to undefined property this.lastInputValue
--DOMWINDOW == 19 (0x7fffbee31078) [serial = 16] [outer = 0x7fffbee2f000] [url = about:blank]
[New Thread 0x7fffb2af9700 (LWP 2692)]
[New Thread 0x7fffb65ff700 (LWP 2693)]
[New Thread 0x7fffb22f8700 (LWP 2694)]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff52f89f4 in xpc::DOMXrayTraits::resolveNativeProperty (cx=0x7fffc29eea00, wrapper=0x7fffc1b4f180, 
    holder=<optimized out>, id=..., set=false, desc=0x7fffffff1868)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/wrappers/XrayWrapper.cpp:899
899	/var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/wrappers/XrayWrapper.cpp: No such file or directory.
	in /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/wrappers/XrayWrapper.cpp
(gdb) bt
#0  0x00007ffff52f89f4 in xpc::DOMXrayTraits::resolveNativeProperty (cx=0x7fffc29eea00, wrapper=0x7fffc1b4f180, 
    holder=<optimized out>, id=..., set=false, desc=0x7fffffff1868)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/wrappers/XrayWrapper.cpp:899
#1  0x00007ffff52f928a in xpc::XrayWrapper<js::CrossCompartmentWrapper, xpc::DOMXrayTraits>::getPropertyDescriptor (
    this=0x7ffff6abe630, cx=0x7fffc29eea00, wrapper=0x7fffc1b4f180, id=..., set=false, desc=0x7fffffff1868)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/wrappers/XrayWrapper.cpp:1141
#2  0x00007ffff59bb5c2 in js::ProxyHandler::get (this=0x7ffff6abe630, cx=0x7fffc29eea00, proxy=0x7fffc1b4f180, 
    receiver=0x7fffc1b4f180, id=..., vp=0x7fffffff2500)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:135
#3  0x00007ffff59bfe18 in js::Proxy::get (cx=<optimized out>, proxy=0x7fffc1b4f180, receiver=0x7fffc1b4f180, id=..., 
    vp=0x7fffffff2500) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:872
#4  0x00007ffff59bfee4 in proxy_GetGeneric (cx=0x7fffc29eea00, obj=0x7fffc1b4f180, receiver=0x7fffc1b4f180, 
    id=<optimized out>, vp=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:1090
#5  0x00007ffff587e149 in JSObject::getGeneric (this=0x7fffc1b4f180, cx=0x7fffc29eea00, receiver=0x7fffc1b4f180, 
    id=<optimized out>, vp=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsobjinlines.h:191
#6  0x00007ffff594b834 in getGeneric (vp=<optimized out>, id=<optimized out>, cx=0x7fffc29eea00, this=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsobjinlines.h:209
#7  js::GetPropertyGenericMaybeCallXML (cx=0x7fffc29eea00, op=<optimized out>, obj=..., id=..., vp=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterpinlines.h:197
#8  0x00007ffff594d44d in js::GetPropertyOperation (cx=0x7fffc29eea00, pc=<optimized out>, lval=..., vp=0x7fffffff2500)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterpinlines.h:263
#9  0x00007ffff5950151 in js::Interpret (cx=0x7fffc29eea00, entryFrame=0x7fffd54007c8, interpMode=js::JSINTERP_NORMAL)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:2654
#10 0x00007ffff59630b8 in js::RunScript (cx=0x7fffc29eea00, script=0x7fffc3fdace0, fp=0x7fffd54007c8)
---Type <return> to continue, or q <return> to quit---
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:475
#11 0x00007ffff59637c5 in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:535
#12 0x00007ffff58b463a in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#13 array_map (cx=0x7fffc29eea00, argc=<optimized out>, vp=0x7fffd5400768)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsarray.cpp:3402
#14 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff58827cc <js_generic_native_method_dispatcher(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#15 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#16 0x00007ffff595051f in js::Interpret (cx=0x7fffc29eea00, entryFrame=0x7fffd54005e8, interpMode=js::JSINTERP_NORMAL)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:2757
#17 0x00007ffff59630b8 in js::RunScript (cx=0x7fffc29eea00, script=0x7fffd27274c0, fp=0x7fffd54005e8)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:475
#18 0x00007ffff59637c5 in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:535
#19 0x00007ffff5964149 in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#20 js::Invoke (cx=0x7fffc29eea00, thisv=<optimized out>, fval=<optimized out>, argc=3, argv=0x7fffffff3d90, 
    rval=0x7fffffff3f20) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:567
#21 0x00007ffff5889d8d in JS_CallFunctionValue (cx=0x7fffc29eea00, obj=0x7fffc3a886c0, fval=..., argc=3, 
    argv=0x7fffffff3d90, rval=0x7fffffff3f20)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsapi.cpp:5429
#22 0x00007ffff526018a in nsXPCWrappedJSClass::CallMethod (this=0x7fffd58db920, wrapper=<optimized out>, methodIndex=34496, 
---Type <return> to continue, or q <return> to quit---
    info=0x7fffd7e8d208, nativeParams=0x7fffffff4070)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedJSClass.cpp:1509
#23 0x00007ffff5259c0c in nsXPCWrappedJS::CallMethod (this=0x7fffcc944300, methodIndex=3, info=0x7fffd7e8d208, 
    params=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedJS.cpp:617
#24 0x00007ffff5720a7f in PrepareAndDispatch (self=0x7fffb6ecca80, methodIndex=<optimized out>, args=<optimized out>, 
    gpregs=0x7fffffff4140, fpregs=0x7fffffff4170)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcstubs_x86_64_linux.cpp:153
#25 0x00007ffff571fe73 in SharedStub () from /usr/lib64/firefox/libxul.so
#26 0x00007ffff56ddd91 in nsObserverList::NotifyObservers (this=<optimized out>, aSubject=0x7fffbe492be0, 
    aTopic=0x7fffbe492c60 "console-api-log-event", someData=0x7fffb68ac518)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/xpcom/ds/nsObserverList.cpp:130
#27 0x00007ffff56de3cd in nsObserverService::NotifyObservers (this=0x7fffdeefbec0, aSubject=0x7fffbe492be0, 
    aTopic=0x7fffbe492c60 "console-api-log-event", someData=0x7fffb68ac518)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/xpcom/ds/nsObserverService.cpp:182
#28 0x00007ffff571fdeb in NS_InvokeByIndex_P (that=<optimized out>, methodIndex=<optimized out>, paramCount=3, 
    params=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_unix.cpp:195
#29 0x00007ffff5262d74 in CallMethodHelper::Invoke (this=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:3112
#30 0x00007ffff526823e in CallMethodHelper::Call (this=0x7fffffff4430)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2443
#31 0x00007ffff5268823 in XPCWrappedNative::CallMethod (ccx=..., mode=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2409
---Type <return> to continue, or q <return> to quit---
#32 0x00007ffff526cd4c in XPC_WN_CallMethod (cx=0x7fffc29eea00, argc=3, vp=0x7fffd5400598)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1554
#33 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff526cc04 <XPC_WN_CallMethod(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#34 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#35 0x00007ffff595051f in js::Interpret (cx=0x7fffc29eea00, entryFrame=0x7fffd5400468, interpMode=js::JSINTERP_NORMAL)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:2757
#36 0x00007ffff59630b8 in js::RunScript (cx=0x7fffc29eea00, script=0x7fffcc721060, fp=0x7fffd5400468)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:475
#37 0x00007ffff59637c5 in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:535
#38 0x00007ffff58fb2e6 in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#39 js::CallOrConstructBoundFunction (cx=0x7fffc29eea00, argc=1, vp=0x7fffd5400428)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsfun.cpp:840
#40 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff58faf9d <js::CallOrConstructBoundFunction(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#41 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#42 0x00007ffff5964149 in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#43 js::Invoke (cx=0x7fffc29eea00, thisv=<optimized out>, fval=<optimized out>, argc=1, argv=0x7fffd54003b0, 
    rval=0x7fffffff58e8) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:567
---Type <return> to continue, or q <return> to quit---
#44 0x00007ffff59bc907 in js::ProxyHandler::call (this=<optimized out>, cx=0x7fffc29eea00, proxy=0x7fffd4978280, argc=1, 
    vp=0x7fffd54003a0) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:338
#45 0x00007ffff5a298b8 in js::Wrapper::call (this=0x7ffff6abe4d0, cx=0x7fffc29eea00, wrapper=0x7fffd4978280, argc=1, 
    vp=0x7fffd54003a0) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jswrapper.cpp:280
#46 0x00007ffff5a2d4d5 in js::CrossCompartmentWrapper::call (this=0x7ffff6abe4d0, cx=0x7fffc29eea00, wrapper=0x7fffd4978280, 
    argc=1, vp=0x7fffd54003a0) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jswrapper.cpp:759
#47 0x00007ffff59c06e2 in js::Proxy::call (cx=0x7fffc29eea00, proxy=0x7fffd4978280, argc=1, vp=0x7fffd54003a0)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:913
#48 0x00007ffff59c0814 in proxy_Call (cx=0x7fffc29eea00, argc=1, vp=0x7fffd54003a0)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:1432
#49 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff59c0777 <proxy_Call(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#50 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#51 0x00007ffff5964149 in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#52 js::Invoke (cx=0x7fffc29eea00, thisv=<optimized out>, fval=<optimized out>, argc=1, argv=0x7fffd5400398, 
    rval=0x7fffd5400388) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:567
#53 0x00007ffff5889d8d in JS_CallFunctionValue (cx=0x7fffc29eea00, obj=0x7fffd496f240, fval=..., argc=1, 
    argv=0x7fffd5400398, rval=0x7fffd5400388)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsapi.cpp:5429
#54 0x00007ffff5236d97 in FunctionWrapper (cx=0x7fffc29eea00, argc=1, vp=0x7fffd5400388)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCComponents.cpp:4121
#55 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff5236d0b <FunctionWrapper(JSContext*, unsigned int, JS::Value*)>, args=...)
---Type <return> to continue, or q <return> to quit---
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#56 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#57 0x00007ffff5964149 in Invoke (args=..., cx=0x7fffc29eea00, construct=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.h:172
#58 js::Invoke (cx=0x7fffc29eea00, thisv=<optimized out>, fval=<optimized out>, argc=1, argv=0x7fffd5400310, 
    rval=0x7fffffff60f8) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:567
#59 0x00007ffff59bc907 in js::ProxyHandler::call (this=<optimized out>, cx=0x7fffc29eea00, proxy=0x7fffd49b3580, argc=1, 
    vp=0x7fffd5400300) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:338
#60 0x00007ffff5a298b8 in js::Wrapper::call (this=0x7ffff6afc140, cx=0x7fffc29eea00, wrapper=0x7fffd49b3580, argc=1, 
    vp=0x7fffd5400300) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jswrapper.cpp:280
#61 0x00007ffff5a2d4d5 in js::CrossCompartmentWrapper::call (this=0x7ffff6afc140, cx=0x7fffc29eea00, wrapper=0x7fffd49b3580, 
    argc=1, vp=0x7fffd5400300) at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jswrapper.cpp:759
#62 0x00007ffff59c06e2 in js::Proxy::call (cx=0x7fffc29eea00, proxy=0x7fffd49b3580, argc=1, vp=0x7fffd5400300)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:913
#63 0x00007ffff59c0814 in proxy_Call (cx=0x7fffc29eea00, argc=1, vp=0x7fffd5400300)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsproxy.cpp:1432
#64 0x00007ffff594892b in js::CallJSNative (cx=0x7fffc29eea00, 
    native=0x7ffff59c0777 <proxy_Call(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#65 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffc29eea00, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#66 0x00007ffff595051f in js::Interpret (cx=0x7fffc29eea00, entryFrame=0x7fffd5400290, interpMode=js::JSINTERP_NORMAL)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:2757
#67 0x00007ffff59630b8 in js::RunScript (cx=0x7fffc29eea00, script=0x7fffd49b1100, fp=0x7fffd5400290)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:475
---Type <return> to continue, or q <return> to quit---
#68 0x00007ffff5964549 in ExecuteKernel (result=0x7fffffff74a0, thisv=..., scopeChain=<optimized out>, 
    script=0x7fffd49b1100, cx=0x7fffc29eea00, type=<optimized out>, evalInFrame=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:674
#69 js::Execute (cx=0x7fffc29eea00, script=<optimized out>, scopeChainArg=<optimized out>, rval=0x7fffffff74a0)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:716
#70 0x00007ffff588a1a7 in EvaluateUCScriptForPrincipalsCommon (cx=0x7fffc29eea00, obj_=<optimized out>, 
    principals=0x7fffd2c02868, originPrincipals=0x0, chars=<optimized out>, length=27, 
    filename=0x7fffbe492368 "Web Console", lineno=1, rval=0x7fffffff74a0, compileVersion=JSVERSION_1_8)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsapi.cpp:5304
#71 0x00007ffff588a475 in JS_EvaluateUCScriptForPrincipals (cx=0x7fffc29eea00, obj=0x7fffd49ac060, 
    principals=0x7fffd2c02868, chars=0x7fffcbd73548, length=27, filename=<optimized out>, lineno=1, rval=0x7fffffff74a0)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsapi.cpp:5315
#72 0x00007ffff523c277 in xpc_EvalInSandbox (cx=0x7fffd2306000, sandbox=0x7fffd49ac060, source=..., 
    filename=0x7fffbe492368 "Web Console", lineNo=1, jsVersion=<optimized out>, returnStringOnly=false, rval=0x7fffffff78f8)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCComponents.cpp:3841
#73 0x00007ffff523e34d in nsXPCComponents_Utils::EvalInSandbox (this=<optimized out>, source=..., 
    sandboxVal=<optimized out>, version=<optimized out>, filenameVal=..., lineNumber=<optimized out>, cx=0x7fffd2306000, 
    optionalArgc=3 '\003', retval=0x7fffffff78f8)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCComponents.cpp:3701
#74 0x00007ffff571fdeb in NS_InvokeByIndex_P (that=<optimized out>, methodIndex=<optimized out>, paramCount=8, 
    params=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_unix.cpp:195
#75 0x00007ffff5262d74 in CallMethodHelper::Invoke (this=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:3112
#76 0x00007ffff526823e in CallMethodHelper::Call (this=0x7fffffff7810)
---Type <return> to continue, or q <return> to quit---
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2443
#77 0x00007ffff5268823 in XPCWrappedNative::CallMethod (ccx=..., mode=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2409
#78 0x00007ffff526cd4c in XPC_WN_CallMethod (cx=0x7fffd2306000, argc=5, vp=0x7fffd5400208)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1554
#79 0x00007ffff594892b in js::CallJSNative (cx=0x7fffd2306000, 
    native=0x7ffff526cc04 <XPC_WN_CallMethod(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jscntxtinlines.h:314
#80 0x00007ffff596370a in js::InvokeKernel (cx=0x7fffd2306000, args=..., construct=js::NO_CONSTRUCT)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:519
#81 0x00007ffff595051f in js::Interpret (cx=0x7fffd2306000, entryFrame=0x7fffd54000e0, interpMode=js::JSINTERP_NORMAL)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/jsinterp.cpp:2757
#82 0x00007ffff5b92fb5 in UncachedInlineCall (f=..., initial=js::INITIAL_NONE, pret=0x7fffffff8958, 
    unjittable=0x7fffffff8820, argc=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/methodjit/InvokeHelpers.cpp:376
#83 0x00007ffff5b94052 in js::mjit::stubs::UncachedCallHelper (f=..., argc=0, lowered=false, ucr=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/methodjit/InvokeHelpers.cpp:459
#84 0x00007ffff5b7f233 in js::mjit::CallCompiler::update (this=0x7fffffff89d0)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/methodjit/MonoIC.cpp:969
#85 0x00007ffff5b7f557 in js::mjit::ic::Call (f=<optimized out>, ic=<optimized out>)
    at /var/tmp/portage/www-client/firefox-14.0.1/work/mozilla-release/js/src/methodjit/MonoIC.cpp:1031
#86 0x00007fffd7fcba3a in ?? ()
#87 0x00007fffd7fc65d0 in ?? ()
#88 0x0000000000000000 in ?? ()
(gdb) q
Comment 6 bob 2012-07-20 04:52:54 PDT
Created attachment 644260 [details]
gdb backtrace

sorry for confusing comments and attachments
Comment 7 Scoobidiver (away) 2012-07-20 05:42:37 PDT
Many changes have been done to XRayWrapper.
Does it happen in Nightly (http://nightly.mozilla.org/)?
Comment 8 bob 2012-07-20 06:43:08 PDT
(In reply to Scoobidiver from comment #7)
> Many changes have been done to XRayWrapper.
> Does it happen in Nightly (http://nightly.mozilla.org/)?

yes, and I got a report id: bp-97eb663a-3f63-45d2-8ccd-6db032120720
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2012-07-20 13:19:46 PDT
This is totally a workers bug.  The manual DOMJSClass stuff (see bug 742189) in Worker.cpp doesn't actually set up proper hooks for Xrays, so the Xray code crashes on a null deref when it tries to use those hooks.

We could obviously add null-checks in Xrays, but then the code in this bug would just throw (which is admittedly a step up from crashing).  Peter, should we do that?
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-25 13:53:29 PDT
Handing this over to Peter for investigation and update on what we can do here for this tracked regression.
Comment 11 Virgil Dicu [:virgil] [QA] 2012-07-26 07:05:44 PDT
bp-5a984244-9f82-44eb-8bc0-940962120726

Can reproduce reliably with the following steps:
1. Load addons.mozilla.org
2. Open web console.
3. Load var ww=Worker('sdf');
console.log(ww);

This started while 14 was in Nightly:

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=92fe907ddac8&tochange=bbe5086163c9

Suspected: bug 740069
Comment 12 Virgil Dicu [:virgil] [QA] 2012-07-26 07:27:14 PDT
Reproducible on Windows as well.
Comment 13 Boris Zbarsky [:bz] (still a bit busy) 2012-07-26 08:27:29 PDT
Well, yes, of course it's a regression from Paris bindings.  ;)
Comment 14 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-20 16:24:49 PDT
Since this is not a high volume crash (does not appear in Firefox topcrashers) I'm wontfixing for 15 and will continue to track for 16/17 since it's reproducible and a regression.
Comment 15 Peter Van der Beken [:peterv] 2012-08-22 17:00:45 PDT
Created attachment 654432 [details] [diff] [review]
v1
Comment 16 Boris Zbarsky [:bz] (still a bit busy) 2012-08-22 17:28:00 PDT
Comment on attachment 654432 [details] [diff] [review]
v1

Please add a comment to all users of sNativePropertyHooks to remove it if it's the last consumer and is going away.
Comment 17 Ed Morley [:emorley] 2012-08-23 03:44:33 PDT
https://hg.mozilla.org/mozilla-central/rev/ea2cf37ddf54
Comment 18 Boris Zbarsky [:bz] (still a bit busy) 2012-08-23 08:26:32 PDT
Peter, we should get this in on Aurora too...
Comment 19 Boris Zbarsky [:bz] (still a bit busy) 2012-08-23 08:27:55 PDT
*** Bug 785038 has been marked as a duplicate of this bug. ***
Comment 20 Peter Van der Beken [:peterv] 2012-08-23 09:56:59 PDT
Comment on attachment 654432 [details] [diff] [review]
v1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 740069
User impact if declined: crash
Testing completed (on m-c, etc.): landed on m-c, has automated testcase
Risk to taking this patch (and alternatives if risky): low risk, just adds some missing function pointers
String or UUID changes made by this patch: none
Comment 21 Scoobidiver (away) 2012-08-25 08:34:07 PDT
Pushed to Aurora: http://hg.mozilla.org/releases/mozilla-aurora/rev/c40040b64259

Note You need to log in before you can comment on or make changes to this bug.